API ReferenceapipaymentsGET /v1/payments/{id}

GET /v1/payments/\{id\}

Service: payments · operationId: (none)

Required scopes

(no scope declared — review service config)

Path parameters

  • id (string) required

Responses

200 Payment details

{
  "type": "object",
  "properties": {
    "id": {
      "type": "string"
    },
    "customer_id": {
      "type": "string"
    },
    "order_id": {
      "type": [
        "string",
        "null"
      ]
    },
    "amount_cents": {
      "type": "string"
    },
    "currency": {
      "type": "string"
    },
    "status": {
      "type": "string"
    },
    "stripe_payment_intent_id": {
      "type": [
        "string",
        "null"
      ]
    },
    "mode": {
      "type": "string",
      "enum": [
        "one_shot",
        "subscription"
      ]
    },
    "subscription_id": {
      "type": [
        "string",
        "null"
      ]
    },
    "created_at": {
      "type": "string"
    },
    "updated_at": {
      "type": "string"
    }
  },
  "required": [
    "id",
    "customer_id",
    "order_id",
    "amount_cents",
    "currency",
    "status",
    "stripe_payment_intent_id",
    "mode",
    "subscription_id",
    "created_at",
    "updated_at"
  ]
}

404 Payment not found

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X GET https://payments.platform.loop.health/v1/payments/{id} \
  -H "Authorization: Bearer $ACCESS_TOKEN"